
QGIS Application - Bug report #9325

Saving as Spatialite saves as SQLite that allows setting width of the field

2014-01-13 09:45 AM - Maxim Dubinin

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17932

Description

1. Load any shapefile with say 1 polygon

2. Right-click - save as Spatialite, check Add to canvas

3. After it is done (note possible bug #7822 btw), open table, start editing, try adding field (double). Note that both additional fields are

present and editable, while they should not be, as SQLite with QGIS Spatialite driver doesn't support that.

also see #9259

Related issues:

Related to QGIS Application - Bug report # 9259: SpatiaLite new column issue Closed 2013-12-28

History

#1 - 2014-12-11 05:50 AM - Alexander Bruy

- Status changed from Open to Feedback

This is because in this case layer loaded via OGR data provider, not native SpatiaLite. If you open this layer using SpatiaLite provider, you can not set field

width and precision.

#2 - 2015-12-20 09:04 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, reopen if necessary.
